Bug 144604 - Missing include-files on ppc's in RPM-packages
Summary: Missing include-files on ppc's in RPM-packages
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-09 15:10 UTC by Helmut Schlattl
Modified: 2015-01-04 22:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 04:37:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to solve the problem (725 bytes, patch)
2005-01-09 15:12 UTC, Helmut Schlattl
no flags Details | Diff

Description Helmut Schlattl 2005-01-09 15:10:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.5)
Gecko/20050102 Firefox/1.0

Description of problem:
On ppc-architectures, there are missing include-files, which might make
it impossible to compile additional kernel modules, which are not part
of the standard kernel.
The missing path is 'include/asm-m68k' which is required by
'include/asm-ppc'

A patch for kernel-2.6.spec to solve this problem is attached. It has
been made for the latest testing kernel.



Version-Release number of selected component (if applicable):
2.6.10-1.727

How reproducible:
Sometimes

Steps to Reproduce:
1.Compiling non-standard kernel modules on PPC-architectures
2.
3.
    

Actual Results:  Might stop with complaint about missing
'include/asm-m68k/*'

Expected Results:  Clean compilation

Additional info:

Comment 1 Helmut Schlattl 2005-01-09 15:12:26 UTC
Created attachment 109531 [details]
Proposed patch to solve the problem

Comment 2 Dave Jones 2005-01-11 04:10:02 UTC
ugh, thats pretty gross. We have the Amiga to thank for that mess.
Fix committed to cvs.


Comment 3 Dave Jones 2005-01-14 04:37:42 UTC
fixed in todays updates



Note You need to log in before you can comment on or make changes to this bug.